
# This program should read from standard input as long as there is input,
# assume each line of input is an integer, and put these into a list.
#
# The program should output the following -
#  minimum value in the list
#  maximum value in the list
#  if it is in increasing order, print this
#  if it is in decreasing order, print this
#  a histogram with 15 "breaks" showing how many of the
#   values are in 16 "bins" from min to max
#

# There are two sample files in this directory, warmup.1.stdin
# Running the correct program on these files gives the following output.
# Your program should match this output as closely as possible.
# Your program will of course be tested on other inputs than these as well.


# $ ./warmup.py < warmup.1.stdin
# Smallest is 1
# Largest is 20
# List is increasing
# 1.000-2.267: **
# 2.267-3.533: *
# 3.533-4.800: *
# 4.800-6.067: *
# 6.067-7.333: 
# 7.333-8.600: 
# 8.600-9.867: 
# 9.867-11.133: *
# 11.133-12.400: 
# 12.400-13.667: 
# 13.667-14.933: 
# 14.933-16.200: 
# 16.200-17.467: 
# 17.467-18.733: 
# 18.733-20.000: *
# 20.000-21.267: *
#
# $ ./warmup.py < warmup.2.stdin
# Smallest is 2
# Largest is 997
# Smallest is 2
# 2.000-68.333: **********************************************************************
# 68.333-134.667: **********************************************************************
# 134.667-201.000: *************************************************
# 201.000-267.333: ***********************************************************************
# 267.333-333.667: ***********************************************************
# 333.667-400.000: *******************************************************
# 400.000-466.333: *****************************************************************
# 466.333-532.667: ***************************************************************************
# 532.667-599.000: ****************************************************************************
# 599.000-665.333: ********************************************************************************
# 665.333-731.667: ****************************************************************
# 731.667-798.000: *****************************************************
# 798.000-864.333: **********************************************************************
# 864.333-930.667: ***********************************************************************
# 930.667-997.000: ***********************************************************************
# 997.000-1063.333: *
